Loading...
Searching...
No Matches
QGpgME::ImportJob Class Referenceabstract

An abstract base class for asynchronous importers. More...

`#include <importjob.h>`

Inheritance diagram for QGpgME::ImportJob:
[legend]
Collaboration diagram for QGpgME::ImportJob:
[legend]

## Public Member Functions

void | setImportFilter (const QString &filter)
QString | importFilter () const
void | setImportOptions (const QStringList &options)
QStringList | importOptions () const
void | setKeyOrigin (GpgME::Key::Origin origin, const QString &url={})
GpgME::Key::Origin | keyOrigin () const
QString | keyOriginUrl () const
virtual GpgME::Error | start (const QByteArray &keyData)=0
virtual GpgME::ImportResult | exec (const QByteArray &keyData)=0
virtual GpgME::Error | startLater (const QByteArray &keyData)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| ImportJob (std::unique_ptr< ImportJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::AbstractImportJob
| AbstractImportJob (std::unique_ptr< AbstractImportJobPrivate >, QObject *parent)
| AbstractImportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Signals inherited from QGpgME::AbstractImportJob
void | result (const GpgME::ImportResult &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous importers.

To use a ImportJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the import with a call to start(). This call might fail, in which case the ImportJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the ImportJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::ImportJob::start | ( | const QByteArray & | keyData | ) |

pure virtual

Starts the importing operation. keyData contains the data to import from.

Implemented in QGpgME::QGpgMEImportJob.

The documentation for this class was generated from the following files:

- importjob.h
- importjob.cpp